Generate CSV template for item attributes - Fabric
Generate CSV template for item attributes
cURL
curl --request GET \
--url https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/attribute \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/attribute"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
- 200: OK
- 400: Client error
- 500: Internal server error
Example Error Response:
{
"code": 400,
"message": "Client error"
}
Authorizations
Authorization
- Type:
string - Location:
header - Required: Yes
S2S access token (JWT) from fabric Identity service (during Login)
Headers
x-site-context
- Type:
string - Required: Yes
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Response Type
- 200: application/csv – The response is of type
file.